import React from 'react';
import { createRoot } from 'react-dom/client';
import { HelmetProvider } from 'react-helmet-async';
import App from './App';
import YandexMetrika from './components/YandexMetrika';
import './index.css';

window.ENV = {
  API_URL: import.meta.env.VITE_SERVER_URL || 'http://localhost:3001',
  DOMAIN: import.meta.env.VITE_DOMAIN || 'localhost'
};

const rootElement = document.getElementById('root');
if (!rootElement) {
  console.error('Ошибка: Элемент с id "root" не найден в DOM');
}

console.log('Инициализация приложения...');
console.log('ENV:', window.ENV);

// Идентификатор счетчика Яндекс Метрики
const YANDEX_METRIKA_ID = '97172114';

createRoot(rootElement!).render(
  <React.StrictMode>
    <HelmetProvider>
      {/* Подключаем Яндекс Метрику */}
      <YandexMetrika counterId={YANDEX_METRIKA_ID} />
      <App />
    </HelmetProvider>
  </React.StrictMode>
);